# -*- encoding : utf-8 -*-
class CreateInterviews < ActiveRecord::Migration
  def self.up
    create_table :interviews do |t|
      t.datetime :time
      t.string :acceptance_status, limit: 10

      t.references :job_application, foreign_key: { dependent: :delete }

      t.timestamps
    end
  end

  def self.down
    drop_table :interviews
  end
end
